<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:cov="http://eviware.com/soapui/coverage">
	<xsl:output method="html" encoding="UTF-8"/>
	
	<!--
	     This stylesheet generates the request and response of an operation
	     and indicates coverage on each line.
	  -->
	
	<xsl:template match="/cov:operationCoverage">
		<html>
			<head>
				<title>Coverage Report - <xsl:value-of select="cov:name"/></title>
				<link rel="stylesheet" type="text/css" href="coverage.css" />
			</head>
			<body>
				<h1>
					Coverage Report - <xsl:value-of select="cov:name"/>
				</h1>
				<xsl:apply-templates select="cov:message"/>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="cov:message">
		<h3><xsl:value-of select="@type"/></h3>
		<div class="coverage">
			<p>
				<xsl:apply-templates select="cov:line"/>
			</p>
		</div>
	</xsl:template>

	<xsl:template match="cov:line">
		<div>
			<xsl:attribute name="class">coverage-<xsl:value-of select="@coverage"/></xsl:attribute>
			<xsl:value-of select="cov:text"/>
		</div>
	</xsl:template>

</xsl:stylesheet>
